<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_231) on Fri Dec 06 14:58:25 GMT 2019 -->
<title>I-Index</title>
<meta name="date" content="2019-12-06">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="I-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-7.html">Prev Letter</a></li>
<li><a href="index-9.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-8.html" target="_top">Frames</a></li>
<li><a href="index-8.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">J</a>&nbsp;<a href="index-10.html">K</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">T</a>&nbsp;<a href="index-17.html">U</a>&nbsp;<a href="index-18.html">V</a>&nbsp;<a name="I:I">
<!--   -->
</a>
<h2 class="title">I</h2>
<dl>
<dt><a href="../board/IncomeTax.html" title="class in board"><span class="typeNameLink">IncomeTax</span></a> - Class in <a href="../board/package-summary.html">board</a></dt>
<dd>
<div class="block">Income Tax Square</div>
</dd>
<dt><span class="memberNameLink"><a href="../board/IncomeTax.html#IncomeTax-java.lang.String-int-">IncomeTax(String, int)</a></span> - Constructor for class board.<a href="../board/IncomeTax.html" title="class in board">IncomeTax</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../board/Board.html#initialise--">initialise()</a></span> - Method in class board.<a href="../board/Board.html" title="class in board">Board</a></dt>
<dd>
<div class="block">Generates a list of squares from the board file by splitting them by a "-" delimiter</div>
</dd>
<dt><a href="../game/Input.html" title="class in game"><span class="typeNameLink">Input</span></a> - Class in <a href="../game/package-summary.html">game</a></dt>
<dd>
<div class="block">Takes inputs from player and checks them, this version uses system.in
 But if the game were made with a GUI this could be substituted in any way
 By replacing this class and leaving the references the same</div>
</dd>
<dt><span class="memberNameLink"><a href="../game/Input.html#Input--">Input()</a></span> - Constructor for class game.<a href="../game/Input.html" title="class in game">Input</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../cards/Chance.html#isGetOutOfJailFreeCard--">isGetOutOfJailFreeCard()</a></span> - Method in class cards.<a href="../cards/Chance.html" title="class in cards">Chance</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../cards/CommunityChest.html#isGetOutOfJailFreeCard--">isGetOutOfJailFreeCard()</a></span> - Method in class cards.<a href="../cards/CommunityChest.html" title="class in cards">CommunityChest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../player/Player.html#isInJail--">isInJail()</a></span> - Method in class player.<a href="../player/Player.html" title="class in player">Player</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../cards/Chance.html#isJailFlag--">isJailFlag()</a></span> - Method in class cards.<a href="../cards/Chance.html" title="class in cards">Chance</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../cards/CommunityChest.html#isJailFlag--">isJailFlag()</a></span> - Method in class cards.<a href="../cards/CommunityChest.html" title="class in cards">CommunityChest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../game/Input.html#isKeepGoing--">isKeepGoing()</a></span> - Method in class game.<a href="../game/Input.html" title="class in game">Input</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../board/PurchaseableSquare.html#isMortaged--">isMortaged()</a></span> - Method in class board.<a href="../board/PurchaseableSquare.html" title="class in board">PurchaseableSquare</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../board/PurchaseableSquare.html#isMortgaged--">isMortgaged()</a></span> - Method in class board.<a href="../board/PurchaseableSquare.html" title="class in board">PurchaseableSquare</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../cards/Chance.html#isNearestUtilities--">isNearestUtilities()</a></span> - Method in class cards.<a href="../cards/Chance.html" title="class in cards">Chance</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../board/Board.html#isNotPurchaseable-int-java.lang.String:A-">isNotPurchaseable(int, String[])</a></span> - Method in class board.<a href="../board/Board.html" title="class in board">Board</a></dt>
<dd>
<div class="block">The process if the square to be added to the board is not purchaseable</div>
</dd>
<dt><span class="memberNameLink"><a href="../board/PurchaseableSquare.html#isOwned--">isOwned()</a></span> - Method in class board.<a href="../board/PurchaseableSquare.html" title="class in board">PurchaseableSquare</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../board/Board.html#isPurchaseable-int-java.lang.String:A-">isPurchaseable(int, String[])</a></span> - Method in class board.<a href="../board/Board.html" title="class in board">Board</a></dt>
<dd>
<div class="block">If the square to be added to the board is purchaseable</div>
</dd>
<dt><span class="memberNameLink"><a href="../game/Input.html#isValid--">isValid()</a></span> - Method in class game.<a href="../game/Input.html" title="class in game">Input</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">J</a>&nbsp;<a href="index-10.html">K</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">T</a>&nbsp;<a href="index-17.html">U</a>&nbsp;<a href="index-18.html">V</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-7.html">Prev Letter</a></li>
<li><a href="index-9.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-8.html" target="_top">Frames</a></li>
<li><a href="index-8.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
